Name: irda-utils
Summary: IrDA Utilities
Version: 0.9.9
Release: 1mdk
Source: http://www.cs.uit.no/~dagb/irda/irda-utils/%{name}-%{version}.tar.bz2
Patch0: irda-mdk.patch.bz2
Group: System/Servers
URL: http://www.cs.uit.no/linux-irda/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
Tools required to use IrDA (infrared ports)

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0 -b .fred

%build
make all RPM_BUILD_ROOT="$RPM_BUILD_ROOT" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"

%install
make install RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

DOCDIR=$RPM_BUILD_ROOT$RPM_DOC_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION
mkdir -p $DOCDIR
for d in irattach irdadump irkbd tekram; do
    install -m 644 $d/README $DOCDIR/README.$d
done
install -m 644 README $DOCDIR/README

strip $RPM_BUILD_ROOT/usr/*bin/*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(-,root,root,0755)
%doc /usr/doc/%{name}-%{version}/README.irattach
%doc /usr/doc/%{name}-%{version}/README.irdadump
%doc /usr/doc/%{name}-%{version}/README.irkbd
%doc /usr/doc/%{name}-%{version}/README.tekram
%doc /usr/doc/%{name}-%{version}/README
/usr/sbin/irmanager
/usr/sbin/irattach
/usr/sbin/irdaping
/usr/sbin/dongle_attach
/usr/sbin/findchip
/usr/bin/irdadump
/usr/bin/irpsion5
/usr/bin/irkbd
%dir /etc/irda
%config /etc/irda/network
%config /etc/irda/printer
#%config /etc/irda/network.orig
#%config /etc/irda/network.redhat
#%config /etc/irda/network.opts
%config /etc/irda/drivers
%config /etc/rc.d/init.d/irda

%post
/sbin/chkconfig --add irda

%postun

if [ $1 = 0 ]; then
    /sbin/chkconfig --del irda
fi

exit 0

%changelog
* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- group fix.

* Mon Feb  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk

- new version.
- init.d script activated.
- added a printer config file.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Nov 10 1999 Dag Brattli <dagb@cs.uit.no>
- 0.9.5
- Some fixes to irattach, so it works with the latest kernels and patches
- Removed OBEX which will now become its own distribution
- Removed irdadump-X11 which will be replaced with a GNOME version

* Wed Sep 8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.9.4
- include new stuff (palm3, psion, obex_tcp, ...)
- various fixes

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix .spec bug

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add README to %doc
- compile gnobex, now in irda-utils-X11

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- initial RPM:
  - handle RPM_OPT_FLAGS and RPM_BUILD_ROOT
  - fix build
  - split in normal and X11 packages
